[ Maverik Level 1 functions ]

#

mav_timerStart

mav_timerStart, mav_timerStop, mav_timeGet

## Summary

Time and timer functions.

## Syntax

void mav_timerStart(MAV_timer *t);

void mav_timerStop(MAV_timer *t);

MAV_time mav_timeGet(void);

## Description

- mav_timeGet returns the CPU time used by the current program, and also the wallclock time.

- mav_timerStart records in `t` the the current elapsed CPU time and wallclock time.

- mav_timerStop records the current CPU and wallclock times in the `end` field of `t`, and computes the elapsed time, storing it in the `elapsed` field.

Back to the index page.